Bug 217480 - textproc/py-feedparser: Create py3- variant
Summary: textproc/py-feedparser: Create py3- variant
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Sofian Brabez
URL:
Keywords:
Depends on:
Blocks: 217484
  Show dependency treegraph
 
Reported: 2017-03-01 23:07 UTC by Danilo G. Baio
Modified: 2017-09-06 18:57 UTC (History)
0 users

See Also:
sbz: maintainer-feedback+


Attachments
py-feedparser-py3.patch (1.11 KB, patch)
2017-03-01 23:07 UTC, Danilo G. Baio
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2017-03-01 23:07:33 UTC
Created attachment 180419 [details]
py-feedparser-py3.patch

- Create python3 version of textproc/py-feedparser

This new port is required to fulfill the Python 3+ dependencies to the new port gitsome.

I didn't include an entry in textproc/Makefile for it not get conflicted with the other patches.

[Q/A]

portlint (textproc/py-feedparser):
WARN: /usr/home/dbaio/FreeBSD/ports/textproc/py-feedparser/distinfo: [1]: TIMESTAMP is over 30 days old
0 fatal errors and 1 warning found.

testport (textproc/py-feedparser and textproc/py3-feedparser):
   poudriere i386|amd64 10.3 p17     (OK)
   poudriere i386|amd64 11   p8      (OK)
   poudriere i386|amd64 12   r314365 (OK)
Comment 1 Sofian Brabez freebsd_committer 2017-09-01 08:30:15 UTC
Everything is good. Sorry for delay.

It is currently blocked because of the commit hook added by portgmr in order to limit the py3- port:

svn: E165001: Commit failed (details follow):
svn: E165001: Commit blocked by pre-commit hook (exit code 1) with output:
Please do not add new py3 slave ports at this time.  FLAVORS
support is coming soon which will remove the need for these kind of
slave ports.  Having new ones come in slows down development for
FLAVORS support.                                                                                                                                                                                                
It also confuses users if a new slave is added and then is                                                                                                                                                      
suddenly gone in a few weeks due to FLAVORS replacing it.                                                                                                                                                       
~                                                                                                                                                                                                               
svn: E165001: Your commit message was left in a temporary file:                                                                                                                                                 
svn: E165001:    '/usr/home/sbz/svn/ports/svn-commit.tmp'    

I'm not sure if we have portmgr implicit approval for this so I will do create a differential review and assign it to portmgr in order to be able to commit it ASAP.
Comment 2 Sofian Brabez freebsd_committer 2017-09-01 09:39:40 UTC
Review created https://reviews.freebsd.org/D12197. Waiting for approval.
Comment 3 commit-hook freebsd_committer 2017-09-06 18:53:32 UTC
A commit references this bug:

Author: sbz
Date: Wed Sep  6 18:52:44 UTC 2017
New revision: 449355
URL: https://svnweb.freebsd.org/changeset/ports/449355

Log:
  - Create python3 version of textproc/py-feedparser

  PR:	217480
  Submitted by:	dbaio
  Approved by:	portmgr (bdrewery)
  Differential Revision:	https://reviews.freebsd.org/D12197

Changes:
  head/textproc/Makefile
  head/textproc/py-feedparser/Makefile
  head/textproc/py3-feedparser/
  head/textproc/py3-feedparser/Makefile
Comment 4 Sofian Brabez freebsd_committer 2017-09-06 18:57:22 UTC
Committed in r449355. Thank you!